# No copyright

EAPI=8

inherit meson

DESCRIPTION="Tool that enables automatic decryption of ZFS root-pools with TPM2"
HOMEPAGE="https://git.bijl.us/luc/zlevis"
SRC_URI="https://git.bijl.us/luc/zlevis/releases/download/${PV}/zlevis-${PV}.tar.xz"

LICENSE="GPL-3"
SLOT="0"
KEYWORDS="~* amd64"
IUSE="dracut"

RDEPEND="
	dev-libs/jose
	app-crypt/tpm2-tools
	dracut? ( >=sys-kernel/zlevis-dracut-0.2 )
"
