# No copyright

EAPI=8

inherit meson

DESCRIPTION="Service monitoring / 'init' system"
HOMEPAGE="https://davmac.org/projects/dinit"
SRC_URI="https://github.com/davmac314/dinit/archive/refs/tags/v${PV}.tar.gz"

LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="~* amd64"
IUSE="+man test -shutdown -cgroups"

DEPEND=""
RDEPEND="${DEPEND}"
#BDEPEND=""

src_configure() {
	local emesonargs=(
		$(meson_use man man-pages)
		$(meson_use test unit-tests)
		$(meson_use test igr-tests)
		$(meson_feature shutdown build-shutdown)
		$(meson_feature cgroups support-cgroups)
	)
	meson_src_configure
}
